Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.ws.rs
Annotation Type HeaderParam

    @Target(value={PARAMETER,METHOD,FIELD})
    @Retention(value=RUNTIME)
    @Documented
    public @interface HeaderParam

Binds the value(s) of a HTTP header to a resource method parameter, resource class field, or resource class bean property. A default value can be specified using the `DefaultValue` annotation. The type `T` of the annotated parameter, field or property must either:

1. Be a primitive type
2. Have a constructor that accepts a single `String` argument
3. Have a static method named `valueOf` that accepts a single `String` argument (see, for example, `Integer.valueOf(String)`)
4. Be `List<T>`, `Set<T>` or `SortedSet<T>`, where `T` satisfies 2 or 3 above. The resulting collection is read-only.

If the type is not one of those listed in 4 above then the first value (lexically) of the header is used.

Because injection occurs at object creation time, use of this annotation on resource class fields and bean properties is only supported for the default per-request resource class lifecycle. Resource classes using other lifecycles should only use this annotation on resource method parameters.

See Also:
  `DefaultValue`, `HttpHeaders`

Required Element Summary
`java.lang.String` | `value` Defines the name of the HTTP header whose value will be used to initialize the value of the annotated method argument, class field or bean property.

Element Detail

### value

    public abstract java.lang.String value

  Defines the name of the HTTP header whose value will be used to initialize the value of the annotated method argument, class field or bean property. Case insensitive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.